package com.ruoyi.system.mapper.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzTcxx;

import java.util.List;

/**
 * 招商引资_投产信息Mapper接口
 * 
 * @author boman
 * @date 2023-02-22
 */
public interface ZsyzTcxxMapper 
{
    /**
     * 查询招商引资_投产信息
     * 
     * @param id 招商引资_投产信息ID
     * @return 招商引资_投产信息
     */
    public ZsyzTcxx selectZsyzTcxxById(Long id);

    /**
     * 查询招商引资_投产信息列表
     * 
     * @param zsyzTcxx 招商引资_投产信息
     * @return 招商引资_投产信息集合
     */
    public List<ZsyzTcxx> selectZsyzTcxxList(ZsyzTcxx zsyzTcxx);

    /**
     * 新增招商引资_投产信息
     * 
     * @param zsyzTcxx 招商引资_投产信息
     * @return 结果
     */
    public int insertZsyzTcxx(ZsyzTcxx zsyzTcxx);

    /**
     * 修改招商引资_投产信息
     * 
     * @param zsyzTcxx 招商引资_投产信息
     * @return 结果
     */
    public int updateZsyzTcxx(ZsyzTcxx zsyzTcxx);

    /**
     * 删除招商引资_投产信息
     * 
     * @param id 招商引资_投产信息ID
     * @return 结果
     */
    public int deleteZsyzTcxxById(Long id);

    /**
     * 批量删除招商引资_投产信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteZsyzTcxxByIds(Long[] ids);
}
